For AI agents: the documentation index is at /llms.txt, and this page is available as Markdown at /api/institutional/get-market-auction-cefi.md.

Get auction state and indicative

GET
/v1/cefi/market/auction

Query for the opening-auction state (and, while in an opening auction, the indicative) by instrument ID. If no query parameters are supplied then the state for ALL available instruments is returned. auction_mode is always present; the auction_indicative object is included only while the instrument is in an opening auction (OPENING or LOCKED) and omitted otherwise.

Query Parameters

instrument_id?string

Instrument ID of the market to query for. Must be a valid non-zero numeric ID.

Match^[1-9][0-9]*$
Length1 <= length

Response Body

Successful operation.

application/json
  1. response
[index: integer]?

Opening-auction state for an instrument, returned by /v1/cefi/market/auction. auction_mode is always present; auction_indicative is included only while the instrument is in an opening auction (OPENING or LOCKED) and omitted otherwise (Coinbase-style nullable object).

Example Request
curl -X GET 'https://api.truex.co/v1/cefi/market/auction'
Example Response
[  {    "auction_mode": true,    "auction_indicative": {      "indicative_price": "100",      "matched_volume": "0",      "projected_best_bid_price": "0",      "projected_best_ask_price": "0",      "timestamp": "1752156513225654386",      "status": "INVALID"    }  }]